PROGRAM_NAME='TestInterface'


DEFINE_EVENT

// Tone / Peq
level_event[vTone,0]
{
    INTEGER lvl
    lvl = LEVEL.INPUT.LEVEL
    
    switch(lvl)
    {
	CASE 1:
	{
	    SEND_COMMAND dPage4,"'^TXT-',ITOA(nToneLowText),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fToneLow,fToneHigh))"
	}
	case 2:
	{
	    SEND_COMMAND dPage4,"'^TXT-',ITOA(nToneMidText),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fToneLow,fToneHigh))"
	}
	case 3:
	{
	    SEND_COMMAND dPage4,"'^TXT-',ITOA(nToneHighText),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fToneLow,fToneHigh))"
	}
    }
}

level_event[vPEQ,0]
{
    INTEGER lvl
    lvl = LEVEL.INPUT.LEVEL
    
    switch(lvl)
    {
    	case 1:
	{
	    SEND_COMMAND dPage4,"'^TXT-',ITOA(nPEQBand1Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fPEQLow,fPEQHigh))"
	}
	case 2:
	{
	    SEND_COMMAND dPage4,"'^TXT-',ITOA(nPEQBand2Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fPEQLow,fPEQHigh))"
	}
	case 3:
	{
	    SEND_COMMAND dPage4,"'^TXT-',ITOA(nPEQBand3Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fPEQLow,fPEQHigh))"
	}
    }
}
// AMM GainShare..
level_event[vAMMGS,0]
{
    INTEGER lvl
    lvl = LEVEL.INPUT.LEVEL
    
    SWITCH(lvl)
    {
	CASE 1:
	{
	    SEND_COMMAND dPage8,"'^TXT-',ITOA(nAMMGSGain1Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fAMMGSMin,fAMMGSMax))"
	}
	CASE 2:
	{
	    SEND_COMMAND dPage8,"'^TXT-',ITOA(nAMMGSGain2Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fAMMGSMin,fAMMGSMax))"
	}
	CASE 3:
	{
	    SEND_COMMAND dPage8,"'^TXT-',ITOA(nAMMGSGain3Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fAMMGSMin,fAMMGSMax))"
	}
	CASE 4:
	{
	    SEND_COMMAND dPage8,"'^TXT-',ITOA(nAMMGSGain4Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fAMMGSMin,fAMMGSMax))"
	}
	CASE 5:
	{
	    SEND_COMMAND dPage8,"'^TXT-',ITOA(nAMMGSGainOutText),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fAMMGSMin,fAMMGSMax))"
	}
	CASE 6:
	{
	    SEND_COMMAND dPage8,"'^TXT-',ITOA(nAMMGSPriority1Text),',1,',ITOA(level.value)"
	}
	CASE 7:
	{
	    SEND_COMMAND dPage8,"'^TXT-',ITOA(nAMMGSPriority2Text),',1,',ITOA(level.value)"
	}
	CASE 8:
	{
	    SEND_COMMAND dPage8,"'^TXT-',ITOA(nAMMGSPriority3Text),',1,',ITOA(level.value)"
	}
	CASE 9:
	{
	    SEND_COMMAND dPage8,"'^TXT-',ITOA(nAMMGSPriority4Text),',1,',ITOA(level.value)"
	}
	case 101:
	{
	    SEND_COMMAND dPage8,"'^TXT-',itoa(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fLevelMin,fLevelMax))"
	}
	case 102:
	{
	    SEND_COMMAND dPage8,"'^TXT-',itoa(lvl),',1,',FORMAT('%.2f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fSlopeLow,fSlopHigh))"
	}
	case 103:
	{
	    SEND_COMMAND dPage8,"'^TXT-',itoa(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fAttackLow,fAttackHigh))"
	}
	case 104:
	{
	    SEND_COMMAND dPage8,"'^TXT-',itoa(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fAMMShareHoldLow,fAMMShareHoldHigh))"
	}
	case 105:
	{
	    SEND_COMMAND dPage8,"'^TXT-',itoa(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fDecayLow,fDecayHigh))"
	}
	case 106:
	{
	    SEND_COMMAND dPage8,"'^TXT-',itoa(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fRmsLow,fRmsHigh))"
	}
	case 107:
	{
	    SEND_COMMAND dPage8,"'^TXT-',itoa(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fRmsLow,fRmsHigh))"
	}
    }
}

// Input..
level_event[vInput1,1]
{
    CALL 'PrintText' (level.value, dPage6,  nInput1Text)
}
// Gain..
level_event[vGain1,1]
{
     CALL 'PrintText' (level.value, dPage6,  nGain1Text)
}

// VoIP Gain Text..
level_event[vVoIPOut,1]
{
    CALL 'PrintText' (level.value, dPage11,  2)
}

// PSTN Gain Text..
level_event[vPSTNOUT,1]
{
    CALL 'PrintText' (level.value, dPage10,  2)
}

// Output..
level_event[vOutput1,1]
{
    CALL 'PrintText' (level.value, dPage6,  nOutput1Text)
}

// AMM Gated..
level_event[vAMMGA,0]
{
    integer lvl
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage9,"'^TXT-',ITOA(nAMMGSGain1Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fAMMGSMin,fAMMGSMax))"
	}
	case 2:
	{
	    SEND_COMMAND dPage9,"'^TXT-',ITOA(nAMMGSGain2Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fAMMGSMin,fAMMGSMax))"
	}
	case 3:
	{
	    SEND_COMMAND dPage9,"'^TXT-',ITOA(nAMMGSGain3Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fAMMGSMin,fAMMGSMax))"
	}
	case 4:
	{
	    SEND_COMMAND dPage9,"'^TXT-',ITOA(nAMMGSGain4Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fAMMGSMin,fAMMGSMax))"
	}
	case 5:
	{
	    SEND_COMMAND dPage9,"'^TXT-',ITOA(nAMMGSGainOutText),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fAMMGSMin,fAMMGSMax))"
	}
	case 6:
	{
	    SEND_COMMAND dPage9,"'^TXT-',ITOA(nAMMGSPriority1Text),',1,',ITOA(level.value)"
	}
	case 7:
	{
	    SEND_COMMAND dPage9,"'^TXT-',ITOA(nAMMGSPriority2Text),',1,',ITOA(level.value)"
	}
	case 8:
	{
	    SEND_COMMAND dPage9,"'^TXT-',ITOA(nAMMGSPriority3Text),',1,',ITOA(level.value)"
	}
	case 9:
	{
	    SEND_COMMAND dPage9,"'^TXT-',ITOA(nAMMGSPriority4Text),',1,',ITOA(level.value)"
	}
    }
}
    
// Delay..
level_event[vDelay,0]
{
    integer lvl;
    
    lvl = level.input.level
    // Update all delay values..
    SEND_COMMAND dPage13,"'^TXT-',ITOA(lvl+10),',1,',ITOA(level.value)"
}

// Ducker..
level_event[vDucker,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 2:
	{
	    SEND_COMMAND dPage13,"'^TXT-',ITOA(nDucker1Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,THRESHOLD_MIN,THRESHOLD_MAX))"
	}
	case 3:
	{
	    SEND_COMMAND dPage13,"'^TXT-',ITOA(nDucker2Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,RANGE_MIN,RANGE_MAX))"
	}
	case 4:
	{
	    SEND_COMMAND dPage13,"'^TXT-',ITOA(nDucker3Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,ATTACK_MIN,ATTACK_MAX))"
	}
	case 5:
	{
	    SEND_COMMAND dPage13,"'^TXT-',ITOA(nDucker4Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,HOLD_MIN,HOLD_MAX))"
	}
	case 6:
	{
	    SEND_COMMAND dPage13,"'^TXT-',ITOA(nDucker5Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,DECAY_MIN,DECAY_MAX))"
	}
    }
}

// Gate.. 
level_event[vGate,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 2:
	{
	    SEND_COMMAND dPage13,"'^TXT-',ITOA(nGate1Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,GATE_THRESHOLD_MIN,GATE_THRESHOLD_MAX))"
	}
	case 3:
	{
	    SEND_COMMAND dPage13,"'^TXT-',ITOA(nGate2Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,GATE_RANGE_MIN,GATE_RANGE_MAX))"
	}
	case 4:
	{
	    SEND_COMMAND dPage13,"'^TXT-',ITOA(nGate3Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,ATTACK_MIN,ATTACK_MAX))"
	}
	case 5:
	{
	    SEND_COMMAND dPage13,"'^TXT-',ITOA(nGate4Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,HOLD_MIN,HOLD_MAX))"
	}
	case 6:
	{
	    SEND_COMMAND dPage13,"'^TXT-',ITOA(nGate5Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,DECAY_MIN,DECAY_MAX))"
	}
    }
}

// Compressor..
level_event[vCompressor,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 2:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCompressor1Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,THRESHOLD_MIN,THRESHOLD_MAX))"
	}
	case 3:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCompressor2Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,RATIO_MIN,RATIO_MAX))"
	}
	case 4:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCompressor3Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,ATTACK_MIN,ATTACK_MAX))"
	}
	case 5:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCompressor4Text),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,RELEASE_MIN,RELEASE_MAX))"
	}
    }
}

// Crossover..
level_event[vCrossover,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 2:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCrossoverFreqText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,FREQ_MIN,FREQ_MAX))"
	}
	case 3:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCrossoverFreqText2),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,FREQ_MIN,FREQ_MAX))"
	}
	case 4:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCrossoverFreqText3),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,FREQ_MIN,FREQ_MAX))"
	}
	case 5:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCrossoverFreqText3),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,FREQ_MIN,FREQ_MAX))"
	}
	case 6:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCrossoverFilterText1),',1,',cCrossoverNames[nCrossoverFilterLevel1]"
	}
	case 7:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCrossoverFilterText2),',1,',cCrossoverNames[nCrossoverFilterLevel2]"
	}
	case 8:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCrossoverFilterText3),',1,',cCrossoverNames[nCrossoverFilterLevel3]"
	}
	case 9:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nCrossoverFilterText4),',1,',cCrossoverNames[nCrossoverFilterLevel4]"
	}
    }
}

// Array EQ..
level_event[vArrayEQ,0]
{	
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 2:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nAEQText1),',1,',ITOA(level.value)"
	}
	case 3:
	{
	    SEND_COMMAND dPage14,"'^TXT-',ITOA(nAEQText2),',1,',ITOA(level.value)"
	}
    }
}

// Conference Room Router Volume Control
level_event[vCRR,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage15,"'^TXT-',ITOA(nCRRText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fLevelLow,fLevelHigh))"
	}
	case 3:
	{
	    SEND_COMMAND dPage15,"'^TXT-',ITOA(nCRRText2),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fLevelLow,fLevelHigh))"
	}
	case 5:
	{
	    SEND_COMMAND dPage15,"'^TXT-',ITOA(nCRRText3),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fLevelLow,fLevelHigh))"
	}
	case 6:
	{
	    SEND_COMMAND dPage15,"'^TXT-',ITOA(nCRRText4),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fLevelLow,fLevelHigh))"
	}
	case 21:
	{
	    SEND_COMMAND dPage15,"'^TXT-',ITOA(nCRRText5),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fLevelLow,fLevelHigh))"
	}
    }
    
}

// AMP / ESPLink
level_event[vLinkCh1,0] // Needs Testing..
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage15,"'^TXT-',ITOA(nAmpLinkCh1Text1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fLevelLow,fLevelHigh))"
	}
    }
}

// pkRMS Limiter
level_event[vPkRMS,0] // Needs Testing..
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 2:
	{
	    SEND_COMMAND dPage16,"'^TXT-',ITOA(nPKRMSText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,THRESHOLD_MIN,THRESHOLD_MAX))"
	}
	case 3:
	{
	   SEND_COMMAND dPage16,"'^TXT-',ITOA(nPKRMSText2),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,THRESHOLD_MIN,THRESHOLD_MAX))"
	}
	case 4:
	{
	   SEND_COMMAND dPage16,"'^TXT-',ITOA(nPKRMSText3),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,RELEASE_RMS_LOW,RELEASE_RMS_HIGH))"
	}
	case 5:
	{
	   SEND_COMMAND dPage16,"'^TXT-',ITOA(nPKRMSText4),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,RELEASE_RMS_LOW,RELEASE_RMS_HIGH))"
	}
    }
}
// Sweep
level_event[vSweep,0] // Needs Testing..
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage16,"'^TXT-',ITOA(nSweepText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fLevelLow,fLevelHigh))"
	}
    }
}
// Noise
level_event[vNoise,0] // Needs Testing..
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage16,"'^TXT-',ITOA(nNoiseText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fLevelLow,fLevelHigh))"
	}
    }
}
// Sine
level_event[vSine,0] // Needs Testing..
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage16,"'^TXT-',ITOA(nSineText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fLevelLow,fLevelHigh))"
	}
	case 2:
	{
	    SEND_COMMAND dPage16,"'^TXT-',ITOA(nSineText2),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,FREQ_MIN,FREQ_MAX))"
	}
    }
}
// AGC
level_event[vAGC,0] // Needs Testing..
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage16,"'^TXT-',ITOA(nAGCText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,THRESHOLD_MIN,THRESHOLD_MAX))"
	}
    }
}

// USB Input
level_event[vUSBIn,0] // Needs Testing..
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    CALL 'PrintText' (level.value, dPage17,  nUSBInText1)
	}
	case 2:
	{
	    CALL 'PrintText' (level.value, dPage17,  nUSBInText2)
	}
    }
}

// USB Output
level_event[vUSBOUT,0] // Needs Testing..
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    CALL 'PrintText' (level.value, dPage17,  nUSBOutText1)
	}
	case 2:
	{
	    CALL 'PrintText' (level.value, dPage17,  nUSBOutText2)
	}
    }
}

// AEC
level_event[vAEC,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage18,"'^TXT-',ITOA(nAECNRText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,NR_MIN,NR_MAX))"
	}
	case 2:
	{
	    SEND_COMMAND dPage18,"'^TXT-',ITOA(nAECNRText2),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,NR_MIN,NR_MAX))"
	}
	case 3:
	{
	    SEND_COMMAND dPage18,"'^TXT-',ITOA(nAECNRText3),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,NR_MIN,NR_MAX))"
	}
	case 4:
	{
	    SEND_COMMAND dPage18,"'^TXT-',ITOA(nAECNRText4),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,NR_MIN,NR_MAX))" 
	}
	case 5:
	{
	    SEND_COMMAND dPage18,"'^TXT-',ITOA(nAECNLPText1),',1,',cAecTypes[level.value]"
	}
	case 6:
	{
	    SEND_COMMAND dPage18,"'^TXT-',ITOA(nAECNLPText2),',1,',cAecTypes[level.value]"
	}
	case 7:
	{
	    SEND_COMMAND dPage18,"'^TXT-',ITOA(nAECNLPText3),',1,',cAecTypes[level.value]"
	}
	case 8:
	{
	    SEND_COMMAND dPage18,"'^TXT-',ITOA(nAECNLPText4),',1,',cAecTypes[level.value]"
	}
    }
}

data_event[vAEC]
{
    string:
    {
	char chan[2]
	if(find_string(data.text,'REF-LEVEL=',1))
	{
	    remove_string(data.text,'=',1)
	    
	    chan = remove_string(data.text,':',1)
	    
	    set_length_string(chan , length_string(chan) - 1)
	    
	    SEND_COMMAND dPage18,"'^TXT-2',chan,',1,Reference : ',data.text"
	}
    }
}
// PmInput
level_Event[vPMInput,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(nPMInputText1),',1,',ITOA(level.value)"
	}
    }    
}

// vPMDelay
level_Event[vPMDelay,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(nPMDelayText1),',1,',ITOA(level.value)"
	}
    }    
}

// vPMOutput
level_Event[vPMOutput,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{	
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(nPMOutputText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,flevelLowPM,flevelHighPM))"
	}
    }    
}

// vPMLimiter
level_Event[vPMLimiter,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(nPMLimText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fPMLimLvlRMSMin,fPMPKLimLvlRMSMax))"
	}
	case 2:
	{
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(nPMLimText2),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fPMLimLvlRMSMin,fPMLimLvlRMSMax))"
	}
	case 3:
	{	
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(nPMLimText3),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,RELEASE_RMS_LOW,RELEASE_RMS_HIGH))"
	}
	case 4:
	{
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(nPMLimText4),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,RELEASE_RMS_LOW,RELEASE_RMS_HIGH))"
	}
	case 5:
	{
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(nPMLimText5),',1,',ITOA(level.value)"
	}
    }    
}

// vPMArrayEQ
level_Event[vPMArrayEQ,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(nPMAEQText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fCenterFreqMin,fCenterFreqMax))"
	}
	case 2:
	{
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(nPMAEQText2),',1,',FORMAT('%.1f',scale(level.value,fBarGraphLow,fBarGraphHi,fTiltMin,fTiltMax))"
	}
	case 3:
	{
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(nPMAEQText3),',1,',FORMAT('%.1f',scale(level.value,fBarGraphLow,fBarGraphHi,fGainMin,fGainMax))"
	}
	case 4:
	{
	    Scale(level.value,2,8,fBarGraphLow,fBarGraphHi)
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(31),',1,',itoa(Scale(level.value,fBarGraphLow,fBarGraphHi,2,8))"
	}
	case 5:
	{
	    SEND_COMMAND dPage20,"'^TXT-',ITOA(32),',1,',itoa(Scale(level.value,fBarGraphLow,fBarGraphHi,20,100))"
	}
    }    
}

// vSurroundInput
level_Event[vSurroundInput,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 9:
	{
	    SEND_COMMAND dPage21,"'^TXT-',ITOA(9),',1,',level.value"
	}
	case 10:
	{
	    SEND_COMMAND dPage21,"'^TXT-',ITOA(10),',1,',level.value"
	}
	default:
	{
	    SEND_COMMAND dPage21,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fSGainMin,fSGainMax))"
	}
    }
}

// vPM Band Pass
level_Event[vPMBandPass,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{	
	
	}
    }    
}

// vPMSigGen
level_Event[vPMSigGen,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{	
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(nPMSigGenText1),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fLevelLow,fLevelHigh))"
	}
	case 4:
	{
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(nPMSigGenText5),',1,',ITOA(nPMSigGenLevel5)"
	}
	case 5:
	{
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(nPMSigGenText2),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,FREQ_MIN,FREQ_MAX))"
	}
	case 6:
	{
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(nPMSigGenText3),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,FREQ_MIN,FREQ_MAX))"
	}
	case 7:
	{
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(nPMSigGenText4),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,FREQ_MIN,FREQ_MAX))" 
	}
	case 8:
	{
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(nPMSigGenText6),',1,',ITOA(level.value)"
	}
    }    
}

level_event[vPMIPEQ,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 16:
	{	
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(13),',1,',Peq5BandType[level.value]"
	}
	case 17:
	{	
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(18),',1,',Peq5BandType[level.value]"
	}
	case 18:
	{	
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(23),',1,',Peq5BandType[level.value]"
	}
	case 19:
	{	
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(28),',1,',Peq5BandType[level.value]"
	}
	case 20:
	{	
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(33),',1,',Peq5BandType[level.value]"
	}
	case 21:
	{
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(12),',1,',Peq5BandSlope[level.value]"
	}
	case 22:
	{
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(17),',1,',Peq5BandSlope[level.value]"
	}
	case 23:
	{
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(22),',1,',Peq5BandSlope[level.value]"
	}
	case 24:
	{
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(27),',1,',Peq5BandSlope[level.value]"
	}
	case 25:
	{
	    SEND_COMMAND dPage23,"'^TXT-',ITOA(32),',1,',Peq5BandSlope[level.value]"
	}
    }
}
// Speaker PEQ - Page 19
level_Event[vSPEQ,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	case 2:
	case 3:
	case 4:
	case 5:
	case 6:
	case 7:
	case 8:
	case 9:
	case 10:
	case 11:
	{
	    SEND_COMMAND dPage19,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fSFrequencyMin,fSFrequencyMax))"
	}
	case 12:
	case 13:
	case 14:
	case 15:
	case 16:
	case 17:
	case 18:
	case 19:
	case 20:
	case 21:
	case 22:
	{
	    SEND_COMMAND dPage19,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.2f',scale(level.value,fBarGraphLow,fBarGraphHi,fSQMin,fSQMax))"
	}
	case 23:
	case 24:
	case 25:
	case 26:
	case 27:
	case 28:
	case 29:
	case 30:
	case 31:
	{
	    SEND_COMMAND dPage19,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fSGainMin,fSGainMax))"
	}
	case 34:
	case 35:
	case 36:
	case 37:
	case 38:
	case 39:
	case 40:
	case 41:
	case 42:
	{
	    SEND_COMMAND dPage19,"'^TXT-',ITOA(lvl),',1,',cBandTypes[level.value]"
	}
	case 32:
	{
	    SEND_COMMAND dPage19,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fSMGainMin,fSMGainMax))"
	}
	case 43:
	{
	    SEND_COMMAND dPage19,"'^TXT-',ITOA(lvl),',1,',cCrossoverNames[level.value]"
	}
	case 44:
	{
	    SEND_COMMAND dPage19,"'^TXT-',ITOA(lvl),',1,',cCrossoverNames[level.value]"
	}
    }
}

// Speaker PEQ - Page 22
level_Event[vPMSPEQ,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {	
	case 1:
	case 2:
	case 3:
	case 4:
	case 5:
	case 6:
	case 7:
	case 8:
	case 9:
	{
	    SEND_COMMAND dPage22,"'^TXT-',ITOA(SPEQTexts[lvl]),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fSFrequencyMin,fSFrequencyMax))"
	}
	case 10:
	case 11:
	case 12:
	case 13:
	case 14:
	case 15:
	case 16:
	case 17:
	case 18:
	{
	    SEND_COMMAND dPage22,"'^TXT-',ITOA(SPEQTexts[lvl]),',1,',FORMAT('%.2f',scale(level.value,fBarGraphLow,fBarGraphHi,fSQMin,fSQMax))"
	}
	case 19:
	case 20:
	case 21:
	case 22:
	case 23:
	case 24:
	case 25:
	case 26:
	case 27:
	{
	    SEND_COMMAND dPage22,"'^TXT-',ITOA(SPEQTexts[lvl]),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fSGainMin,fSGainMax))"
	}
	case 28:
	case 29:
	case 30:
	case 31:
	case 32:
	case 33:
	case 34:
	case 35:
	case 36:
	{
	    SEND_COMMAND dPage22,"'^TXT-',ITOA(lvl),',1,',PMSpeqTypes[level.value]"
	}
	case 37:
	{
	    SEND_COMMAND dPage22,"'^TXT-',ITOA(nPMSPEQGainText),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,fSMGainMin,fSMGainMax))"
	}
    }
}

// PMSpeqTypes
// Speaker PEQ - Page 22
level_Event[vPMBandPass,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{
	    SEND_COMMAND dPage22,"'^TXT-',ITOA(nPMBandPassText1),',1,',cCrossoverNames[level.value]"
	}
	case 2:
	{
	    SEND_COMMAND dPage22,"'^TXT-',ITOA(nPMBandPassText2),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,FREQ_MIN,FREQ_MAX))"
	}
	case 3:
	{
	    SEND_COMMAND dPage22,"'^TXT-',ITOA(nPMBandPassText3),',1,',cCrossoverNames[level.value]"
	}
	case 4:
	{
	    SEND_COMMAND dPage22,"'^TXT-',ITOA(nPMBandPassText4),',1,',FORMAT('%.0f',scale(level.value,fBarGraphLow,fBarGraphHi,FREQ_MIN,FREQ_MAX))"
	}
    }
}

data_event[vdvEx8Ml]
{
    string:
    {
	integer id;
	char process[6]
	
	if(find_string(data.text,'RSL',1))
	{
	    remove_string(data.text,'RSL=',1)
	    
	    process = remove_string(data.text,':',1)
	    
	    set_length_string(process , length_string(process) - 1)
	    
	    id = atoi(process)
	    
	    send_command dPage25,"'^TXT-',ITOA(ex8mlText[id]),',1,',data.text"
	}
    }
}
level_event[vAgcEnhanced,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fMaxTotalGainLow,fMaxTotalGainHigh))"
	}
	case 2:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fActivityThldLow,fActivityThldHigh))"
	}
	case 3:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fTargetLvlMin,fTargetLvlMax))"
	}
	case 4:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fTargetLvlMin,fTargetLvlMax))"
	}
	case 5:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fRateLow,fRateHigh))"
	}
	case 6:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fRangeLow,fRangeHigh))"
	}	
	case 7:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fHoldLow,fHoldHigh))"
	}
	case 8:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fRateLow,fRateHigh))"
	}
	case 9:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fRangeLow,fRangeHigh))"
	}
	case 10:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fHoldLow,fHoldHigh))"
	}
	case 12:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fActivityThldLow,fActivityThldHigh))"
	}
	case 13:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fTargetLvlMin,fTargetLvlMax))"
	}
	case 14:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fTargetLvlMin,fTargetLvlMax))"
	}
	case 15:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fRateLow,fRateHigh))"
	}
	case 16:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fRangeLow,fRangeHigh))"
	}	
	case 17:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fHoldLow,fHoldHigh))"
	}
	case 18:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fRateLow,fRateHigh))"
	}
	case 19:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fRangeLow,fRangeHigh))"
	}
	case 20:
	{
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fHoldLow,fHoldHigh))"
	}
    }
}

level_Event[vAmmGatedLegacy,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	case 1:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fLevelMin,fLevelMax))"
	}
	case 2:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,nomLow,nomHigh))"
	}
	case 3:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fLevelMin,fLevelMax))"
	}
	case 4:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fThresholdLow,fThresholdHigh))"
	}
	case 5:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fGateDepthLow,fGateDepthLow))"
	}
	case 6:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,HoldLow,HoldHigh))"
	}
	case 7:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fDuckingDepthLow,fDuckingDepthHigh))"
	}
	case 8:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fDecayLow,fDecayHigh))"
	}
	case 9:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,HighPassLow,HighPassHigh))"
	}
	case 10:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,LowPassLow,LowPassHigh))"
	}
	case 11:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,RmsLow,RmsHigh))"
	}
	case 12:
	{	
	    SEND_COMMAND dPage26,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fAttackLow,fAttackHigh))"
	}
    }
}

level_event[vAmmGatedLegacy,0]
{
    integer lvl;
    
    lvl = level.input.level
    
    switch(lvl)
    {
	// Output Gain..
	case 1:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fGainLow,fGainHigh))"
	}
	// Nom Limit..
	case 2:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,nomLow,nomHigh))"
	}
	case 12:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl - 9),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fGainLow,fGainHigh))"
	}
	case 13:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl - 9),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fThresholdLow,fThresholdHigh))"
	}
	case 14:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl - 9),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fGateDepthLow,fGateDepthHigh))"
	}
	case 15:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl - 9),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,HoldLow,HoldHigh))"
	}
	case 16:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl - 9),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fDuckingDepthLow,fDuckingDepthHigh))"
	}
	case 17:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl - 9),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fDecayLow,fDecayHigh))"
	}
	case 18:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl - 9),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,HighPassLow,HighPassHigh))"
	}
	case 19:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl - 9),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,LowPassLow,LowPassHigh))"
	}
	case 20:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl - 9),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,RmsLow,RmsHigh))"
	}
	case 21:
	{
	    SEND_COMMAND dPage28,"'^TXT-',ITOA(lvl - 9),',1,',FORMAT('%.0f',Scale(LEVEL.VALUE,fBarGraphLow,fBarGraphHi,fAttackLow,fAttackHigh))"
	}
    }
}